import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import { NsCheckoutCard } from '../';

type ComponentType = typeof NsCheckoutCard;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    component: NsCheckoutCard,
    title: 'Components/Containers/Card/NsCheckoutCard',
    argTypes: {},
    decorators: [withCenterDecorator],
} as MetaStory;

export const Default: Story = {
    args: {
        title: 'Section Title',
        icon: 'home',
        linkText: 'CHANGE',
        url: '#',
    },
};
