import NsBrandCard from '../card/NsBrandCard';

interface BrandType {
    title: string;
    backgroundImage: string;
    brandImage: string;
}
export const RenderBrand = (entry: BrandType, index: number) => {
    const { title, backgroundImage, brandImage } = entry;
    return (
        <NsBrandCard
            key={title + index}
            backgroundImageUrl={backgroundImage}
            title={title}
            brandImageUrl={brandImage}
        />
    );
};
