import type { StoryObj, Meta } from '@storybook/react';
import { withCenterDecorator } from '@/stories/decorators/withCenterDecorator';
import {DivArray} from './DivArray';

type ComponentType = typeof DivArray;
type Story = StoryObj<ComponentType>;
type MetaStory = Meta<ComponentType>;

export default {
    title: 'Components/Data Display/Column/NDivs',
    component: DivArray,
    decorators: [withCenterDecorator],
    args: {
        elementsCount: 2,
    },
} as MetaStory;

export const Basic: Story = {};
