/**
 * @description Extend the FlagProps interface to include message, color and size prop.
 */

import { FoundationTheme } from '@nuskin/foundation-theme';

export type NsFlagSize = 'small' | 'medium' | 'large';

export type NsFlagProps = {
    className?: string;
    size?: NsFlagSize;
    message?: string;
    testId?: string;
    /** Displays background color for flag container */
    color?: FoundationTheme.PaletteColors;
};
