import { SvgIconProps, SvgIcon } from '@mui/material';

const SlashIcon = (props: SvgIconProps) => {
    return (
        <SvgIcon viewBox="0 0 2 22" fill="none" xmlns="http://www.w3.org/2000/svg" {...props} data-testid="slash">
            <path
                d="M1 1L1 11L0.999999 21"
                stroke={props.color}
                strokeWidth="2"
                strokeLinecap="round"
                strokeLinejoin="round"
            />
        </SvgIcon>
    );
};

export default SlashIcon;
