import { styled } from '@nuskin/foundation-theme';
import { NsButton } from '../button';
import { DialogActions } from '@mui/material';

export const NsInfoWrapper = styled.div`
    display: flex;
    .status-icon {
        padding: 16px 0px 0px 24px;
    }
    .title-icon {
        padding-right: 10px;
    }
`;

export const CloseButton = styled(NsButton)`
    position: absolute;
    right: 8px;
    top: 8px;
`;

export const ModalFooter = styled(DialogActions)`
    display: flex;
    justify-content: space-around;
    padding: 20px 0px 10px 0px;
    button {
        width: 100%;
    }
`;
